%define	major 0
%define libname	%mklibname config %{major}
%define libnamedevel	%mklibname -d config

%define _disable_ld_no_undefined 1

Summary:	Configuration file parsing library
Name:		libconfig
Version:	0.2.3
Release:	%mkrel 6
Group:		System/Libraries
License:	GPL
URL:		http://www.rkeene.org/oss/libconfig/
Source0:	http://www.rkeene.org/files/oss/libconfig/devel/%{name}-%{version}.tar.gz
Patch0:     libconfig-0.1.21-DESTDIR.diff
BuildRequires:	libopennet-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libname}
Summary:	Configuration file parsing library
Group:          System/Libraries

%description -n	%{libname}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libnamedevel}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:  %_lib%{name}0-devel

%description -n	%{libnamedevel}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

This package contains the static %{name} library and its header
files.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0 -b .destdir

%build
%configure2_5x

# fix soname
perl -pi -e "s|^SHOBJFLAGS.*|SHOBJFLAGS=-Wl,-soname=%{name}.so.%{major} -shared -fPIC -D_REENTRANT|g" Makefile

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc Docs/* README
%{_libdir}/*.so.*

%files -n %{libnamedevel}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man3/*



%changelog
* Thu Mar 12 2009 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-6mdv2009.1
+ Revision: 354044
- fix build (eg use _disable_ld_no_undefined)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-3mdv2008.1
+ Revision: 172467
- fix devel name
- 0.2.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 18:03:23 (54980)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 17:59:43 (54978)
Import libconfig

* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-3mdk
- fix deps

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-2mdk
- fix naming (again)

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.21-1mdk
- 0.1.21
- libconfig0/libconfig
- rediffed P0

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.0-1mdk
- initial mandrake package

